package org.bitbucket.bradleysmithllc.etlunit.feature.database.db;

import org.bitbucket.bradleysmithllc.etlunit.feature.database.DatabaseConnection;

import java.util.List;
import java.util.Map;

public interface Database extends JsonRepresentation
{
	List<Catalog> getCatalogs();
	Map<String, Catalog> getCatalogMap();

	Catalog getCatalog(String name);
	DatabaseConnection getDatabaseConnection();

	String getName();

	void touch();
	boolean isClean();

	void clear();
}